Subject: Re: [dispatch] Virtual IETF 107 - SRT draft is available

From: Bernard Aboba <[email-masked]>
Date: Thu, 19 Mar 2020 06:19:42 -0700

Martin Thomson said:

"why would anyone choose to do this as opposed to something like QUIC?
QUIC provides certain security properties, whereas I have very little
confidence in the claimed security properties of this protocol."

[BA] I'm not clear whether the desire is to publish an existing protocol as
an Informational RFC, or to cede change control and evolve SRT within the
IETF.  But assuming that the desire is to evolve it, one (of many)
questions would be whether it is desired that Web applications be able to
use SRTbis.

Web applications cannot support SRT today, because there is no "UDP for the
Web".

If there was a desire for SRT to be supported on the Web, then one avenue
would be for it to run over QUIC datagrams.

But that would not provide support for "content protection", only
encryption/integrity protection of packets in transit.